import { jsx as _jsx } from "react/jsx-runtime";
import { render, screen } from '@testing-library/react';
import ChatbotFooter from './ChatbotFooter';
import '@testing-library/jest-dom';
describe('ChatbotFooter', () => {
    it('should render ChatbotFooter with children', () => {
        render(_jsx(ChatbotFooter, { children: "Chatbot Content" }));
        expect(screen.getByText('Chatbot Content')).toBeTruthy();
    });
    it('should render ChatbotFooter with custom classname', () => {
        const { container } = render(_jsx(ChatbotFooter, { className: "custom-class", children: "Chatbot Content" }));
        expect(container.querySelector('.custom-class')).toBeTruthy();
    });
    it('should handle isCompact', () => {
        render(_jsx(ChatbotFooter, { isCompact: true, "data-testid": "footer", children: "Chatbot Content" }));
        expect(screen.getByTestId('footer')).toHaveClass('pf-m-compact');
    });
    it('should handle isPrimary', () => {
        render(_jsx(ChatbotFooter, { isPrimary: true, "data-testid": "footer", children: "Chatbot Content" }));
        expect(screen.getByTestId('footer')).toHaveClass('pf-m-primary');
    });
});
